discuss@lists.openscad.org

OpenSCAD general discussion Mailing-list

View all threads

OT- fillets and round-overs,cadquery etc.

RW
Raymond West
Fri, Sep 6, 2024 7:14 PM

Raw Openscad does not handle fillets etc. in any simple way. I have
various methods using difference, minkowski and other trickery. In the
past I have put my script into freecad, which has simple filleting built
in, (but I don't like the rest of it). Cadquery (cq) was mentioned here
a few days ago, and back in January. I've just installed it today, and
played with it a little. I know a smattering of Python, (chatgpt is
helpful, if you have the patience to argue with it).

Anyway, it seems that it is tricky to define an edge to be filleted in
cq - in freecad you can select by cursor position, in cq you need to
define it more mathematically. Easy enough to import a cq generated stl
into openscad to merge into existing openscad objects.  However, cq
works with solids, and can not import stls, afaik. If I only want to do
filleting, say, then I may as well import to freecad, and do it there,
instead of importing it as stl, export as step, and import step to cq.

Maybe a few questions for those on here who also use cq -

Do you in the main design in openscad, and 'finish off' in cq, or do you
do everything in cq. (I guess you would use cq if you need step file op).

What do you use to convert openscad files (stl, obj/whatever) so that
they can be imported to cq.

If you are jumping between cq and openscad, how many times do you use
';'or '#' in the wrong language?

Raw Openscad does not handle fillets etc. in any simple way. I have various methods using difference, minkowski and other trickery. In the past I have put my script into freecad, which has simple filleting built in, (but I don't like the rest of it). Cadquery (cq) was mentioned here a few days ago, and back in January. I've just installed it today, and played with it a little. I know a smattering of Python, (chatgpt is helpful, if you have the patience to argue with it). Anyway, it seems that it is tricky to define an edge to be filleted in cq - in freecad you can select by cursor position, in cq you need to define it more mathematically. Easy enough to import a cq generated stl into openscad to merge into existing openscad objects.  However, cq works with solids, and can not import stls, afaik. If I only want to do filleting, say, then I may as well import to freecad, and do it there, instead of importing it as stl, export as step, and import step to cq. Maybe a few questions for those on here who also use cq - Do you in the main design in openscad, and 'finish off' in cq, or do you do everything in cq. (I guess you would use cq if you need step file op). What do you use to convert openscad files (stl, obj/whatever) so that they can be imported to cq. If you are jumping between cq and openscad, how many times do you use ';'or '#' in the wrong language?
MB
Martin Budden
Fri, Sep 6, 2024 8:01 PM

it seems that it is tricky to define an edge to be filleted in cq

Well, I haven't been using cq long, so I can't answer this in general. If
you want to define a single edge to be filleted this might be the case, but
if you want to fillet a lot of edges all at once, then cq makes this easy.
So for example result = result.edges("|Z").fillet(2) will fillet all
edges parallel to the Z axis, turning
[image: XY_MotorMountUnfilleted.png]
into
[image: XY_MotorMount.png]
in one simple step.

To answer some of your questions:

Do you in the main design in openscad, and 'finish off' in cq, or do you

do everything in cq.

OpenSCAD is the main tool I use. Mainly because of the NopSCAD library -
this has a large parts library, supports assemblies and automatic builds of
project. I've started to use cadquery to generate STEP files when I need
them.

What do you use to convert openscad files (stl, obj/whatever) so that

they can be imported to cq.

I don't recreate assemblies in cq, just individual parts. I don't import
anything, I just rewrite the OpenSCAD code in cadquery code. Once I have
designed a part, writing the code to describe it is straightforward, I find.

If you are jumping between cq and openscad, how many times do you

use';'or '#' in the wrong language?

I don't find that an issue. Sometimes I will copy some OpenSCAD code that
includes dimensions of an object defined as constants, so I have to
remember to remove the trailing semicolons.

On Fri, 6 Sept 2024 at 20:15, Raymond West via Discuss <
discuss@lists.openscad.org> wrote:

Raw Openscad does not handle fillets etc. in any simple way. I have
various methods using difference, minkowski and other trickery. In the
past I have put my script into freecad, which has simple filleting built
in, (but I don't like the rest of it). Cadquery (cq) was mentioned here
a few days ago, and back in January. I've just installed it today, and
played with it a little. I know a smattering of Python, (chatgpt is
helpful, if you have the patience to argue with it).

Anyway, it seems that it is tricky to define an edge to be filleted in
cq - in freecad you can select by cursor position, in cq you need to
define it more mathematically. Easy enough to import a cq generated stl
into openscad to merge into existing openscad objects.  However, cq
works with solids, and can not import stls, afaik. If I only want to do
filleting, say, then I may as well import to freecad, and do it there,
instead of importing it as stl, export as step, and import step to cq.

Maybe a few questions for those on here who also use cq -

Do you in the main design in openscad, and 'finish off' in cq, or do you
do everything in cq. (I guess you would use cq if you need step file op).

What do you use to convert openscad files (stl, obj/whatever) so that
they can be imported to cq.

If you are jumping between cq and openscad, how many times do you use
';'or '#' in the wrong language?


OpenSCAD mailing list
To unsubscribe send an email to discuss-leave@lists.openscad.org

> it seems that it is tricky to define an edge to be filleted in cq Well, I haven't been using cq long, so I can't answer this in general. If you want to define a single edge to be filleted this might be the case, but if you want to fillet a lot of edges all at once, then cq makes this easy. So for example `result = result.edges("|Z").fillet(2)` will fillet all edges parallel to the Z axis, turning [image: XY_MotorMountUnfilleted.png] into [image: XY_MotorMount.png] in one simple step. To answer some of your questions: > Do you in the main design in openscad, and 'finish off' in cq, or do you do everything in cq. OpenSCAD is the main tool I use. Mainly because of the NopSCAD library - this has a large parts library, supports assemblies and automatic builds of project. I've started to use cadquery to generate STEP files when I need them. > What do you use to convert openscad files (stl, obj/whatever) so that they can be imported to cq. I don't recreate assemblies in cq, just individual parts. I don't import anything, I just rewrite the OpenSCAD code in cadquery code. Once I have designed a part, writing the code to describe it is straightforward, I find. > If you are jumping between cq and openscad, how many times do you use';'or '#' in the wrong language? I don't find that an issue. Sometimes I will copy some OpenSCAD code that includes dimensions of an object defined as constants, so I have to remember to remove the trailing semicolons. On Fri, 6 Sept 2024 at 20:15, Raymond West via Discuss < discuss@lists.openscad.org> wrote: > Raw Openscad does not handle fillets etc. in any simple way. I have > various methods using difference, minkowski and other trickery. In the > past I have put my script into freecad, which has simple filleting built > in, (but I don't like the rest of it). Cadquery (cq) was mentioned here > a few days ago, and back in January. I've just installed it today, and > played with it a little. I know a smattering of Python, (chatgpt is > helpful, if you have the patience to argue with it). > > Anyway, it seems that it is tricky to define an edge to be filleted in > cq - in freecad you can select by cursor position, in cq you need to > define it more mathematically. Easy enough to import a cq generated stl > into openscad to merge into existing openscad objects. However, cq > works with solids, and can not import stls, afaik. If I only want to do > filleting, say, then I may as well import to freecad, and do it there, > instead of importing it as stl, export as step, and import step to cq. > > Maybe a few questions for those on here who also use cq - > > Do you in the main design in openscad, and 'finish off' in cq, or do you > do everything in cq. (I guess you would use cq if you need step file op). > > What do you use to convert openscad files (stl, obj/whatever) so that > they can be imported to cq. > > If you are jumping between cq and openscad, how many times do you use > ';'or '#' in the wrong language? > _______________________________________________ > OpenSCAD mailing list > To unsubscribe send an email to discuss-leave@lists.openscad.org >